
Foreman - Bug #13755

Allow iterating over ActiveRecord CollectionProxy in safe mode rendering

02/17/2016 06:53 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Templates   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3198

  

Description

When we use something like

<% @host.interfaces.each %>

 I see an error like this

There was an error rendering the Preseed default finish template: The snippet 'preseed_networking_

setup' threw an error: undefined method 'each' for Safemode::Jail (ActiveRecord::Associations::Col

lectionProxy)

Related issues:

Related to Foreman - Bug #13168: Rendering of kickstart_networking_setup fail... Closed 01/13/2016

Associated revisions

Revision 55033bc8 - 02/17/2016 09:06 AM - Marek Hulán

Fixes #13755 - allow reading of AR collections with safe mode enabled

History

#1 - 02/17/2016 06:53 AM - Marek Hulán

- Related to Bug #13168: Rendering of kickstart_networking_setup fails: undefined method 'each' for Safemode::Jail

(ActiveRecord::AssociationRelation) added

#2 - 02/17/2016 06:59 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3198 added

#3 - 02/17/2016 10:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 55033bc8a884fb1f9cb2a9cba3e60ca28624528f.
